<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Base;
use App\Http\Controllers\Controller;
use App\Services\Interface\ContactUsInterface;
use Illuminate\Http\Request;

class ContactUsController extends Controller
{

    private  $contact_us_interface;

    public function __construct(ContactUsInterface $contact_us_interface)
    {
        $this->contact_us_interface = $contact_us_interface;
    }

    public function index(Request $request)
    {
        $data = $this->contact_us_interface->adminContactUsIndex($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function search(Request $request)
    {
        $data = $this->contact_us_interface->adminContactUsSearch($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function show(Request $request)
    {
        $data = $this->contact_us_interface->adminContactUsShow($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function delete(Request $request)
    {
        $data = $this->contact_us_interface->adminContactUsDelete($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function update(Request $request)
    {
        $data = $this->contact_us_interface->adminContactUsUpdate($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function reply(Request $request) 
    {
       return $this->contact_us_interface->reply($request);
    }

    public function filter(Request $request) 
    {
         return $this->contact_us_interface->filter($request);
    }
}
