<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Base;
use App\Http\Controllers\Controller;
use App\Http\Requests\FaqAddRequest;
use App\Http\Requests\FaqIDRequest;
use App\Services\Interface\FaqInterface;
use Illuminate\Http\Request;

class FAQController extends Controller
{
    //
    private $faqInterface;

    public function __construct(FaqInterface $faqInterface)
    {
        $this->faqInterface = $faqInterface;
    }

    public function index()
    {
        $data = $this->faqInterface->index();
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function add(FaqAddRequest $request)
    {
        $data = $this->faqInterface->add($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function update(FaqIDRequest $request)
    {
        $data = $this->faqInterface->update($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }
    public function delete(FaqIDRequest $request)
    {
        $data = $this->faqInterface->delete($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }
    public function statusToggle(FaqIDRequest $request)
    {
        $data = $this->faqInterface->statusToggle($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

}
