<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Base;
use App\Http\Controllers\Controller;
use App\Http\Requests\FeesRequest;
use App\Services\Interface\SettingsInterface;
use Illuminate\Http\Request;

class SettingsController extends Controller
{
    //
    private $settingsInterface;

    public function __construct(SettingsInterface $settingsInterface)
    {
        $this->settingsInterface = $settingsInterface;
    }

    public function getFees()
    {
        $data = $this->settingsInterface->getFees();
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function updateFees(FeesRequest $request)
    {
        $data = $this->settingsInterface->updateFees($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }
}
