<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Base;
use App\Http\Controllers\Controller;
use App\Http\Requests\TcPrivacyUpdateRequest;
use App\Services\Interface\TCandPrivacyInterface;
use Illuminate\Http\Request;

class TermsPrivacyController extends Controller
{
    //

    private $tcInterface;

    public function __construct(TCandPrivacyInterface $tcInterface)
    {
        $this->tcInterface = $tcInterface;
    }

    public function getTC()
    {
        $data = $this->tcInterface->getTC();
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }
    
    public function getPrivacy()
    {
        $data = $this->tcInterface->getPrivacy();
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function addTCPrivacy(TcPrivacyUpdateRequest $request)
    {
        $data = $this->tcInterface->addTCPrivacy($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);   
    }
}
