<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Base;
use App\Http\Controllers\Controller;
use App\Http\Requests\AddVoucher;
use App\Http\Requests\VoucherStatusDeleteRequest;
use App\Services\Interface\VoucherInterface;
use Exception;
use Illuminate\Http\Request;

class VoucherController extends Controller
{
    //

    private VoucherInterface $voucherRepository;

    public function __construct(VoucherInterface $voucherRepository)
    {
        $this->voucherRepository = $voucherRepository;
    }

    //* Get list for admin


    public function index(Request $request)
    {
        try {
            $data = $this->voucherRepository->voucherList($request);
            return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
        } catch (Exception $e) {
         return   Base::exception($e);
        }
    }

    public function voucherFilter(Request $request)
    {
        $data = $this->voucherRepository->voucherFilter($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function add(AddVoucher $request)
    {
        try {
            // return 13;
            $data = $this->voucherRepository->add($request);
            return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
        } catch (Exception $e) {
        return    Base::exception($e);
        }
    }


    public function checkVoucher(Request $request)
    {
        try {
            //Code will be here
            $data = $this->voucherRepository->checkVoucher($request);
            return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
        } catch (Exception $e) {
            return Base::exception($e);
        }
    }

    public function voucherToggle(VoucherStatusDeleteRequest $request){
        $data = $this->voucherRepository->voucherToggle($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function voucherDelete(VoucherStatusDeleteRequest $request){
        $data = $this->voucherRepository->voucherDelete($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }

    public function voucherDetails(VoucherStatusDeleteRequest $request){
        $data = $this->voucherRepository->voucherDetails($request);
        return $data->success ? Base::success($data->message, $data->data) : Base::error($data->message);
    }
}
