<?php

namespace App\Http\Controllers;

use App\Services\Interface\GeneralInterface;
use Exception;
use Illuminate\Http\Request;

class GeneralController extends Controller
{
    private $general_interface;

    public function __construct(GeneralInterface $general_interface)
    {
        $this->general_interface = $general_interface;
    }

    public function getGeneralInfo(Request $request)
    {
        try {
            return $this->general_interface->getGeneralInfo($request);
        } catch (Exception $e) {
            return Base::exception($e);
        }
    }

    public function updateGeneralInfo(Request $request)
    {
        try {
            return $this->general_interface->updateGeneralInfo($request);
        } catch (Exception $e) {
            return Base::exception($e);
        }
    }
}
