<?php

namespace App\Http\Requests;

use App\Http\Controllers\Base;
use Illuminate\Contracts\Validation\Validator;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Exceptions\HttpResponseException;

class UpdateCategoryRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    // public function authorize()
    // {
    //     return false;
    // }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, mixed>
     */
    public function rules()
    {
        return [
            //
            "id" => "required",
            "name" => "unique:categories,name"
            // "image" => "file"
        ];
    }
    public function failedValidation(Validator $validator)
    {
        throw new HttpResponseException(Base::validation($validator));
        // return Base::validation($validator);
    }

    public function messages()
    {
        return [
            "id.required" => "Category id is required",
            "name.unique" => "This category already exist"
        ];
    }
}
