<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Category extends Model
{
    use HasFactory, SoftDeletes;
    protected $appends = ['is_new'];

    //======= Relation Begin =============
    public function cards()
    {
        return $this->hasMany(PostCard::class, 'category_id');
    }

    public function activeCards()
    {
        return $this->hasMany(PostCard::class, 'category_id')->where('is_active', true);
    }

    public function recommended()
    {
        return $this->hasOne(RecommendedCategory::class, 'category_id');
    }
    //======= Relation End =============

    public function scopeActive($query)
    {
        $query->where('is_active', true);
    }

    public function getIsNewAttribute()
    {
        return 0;
    }
}
