<?php

namespace App\Services\Repositories;

use App\Http\Controllers\Base;
use App\Models\Setting;
use App\Services\Interface\SettingsInterface;
use Exception;

class SettingsRepository implements SettingsInterface

{
    public function getFees()
    {
        try{
            //Code will be here
            $auth_fee = Setting::where('type', 'auth_fee')->first(['type','value']);
            $ship_fee = Setting::where('type', 'ship_fee')->first(['type','value']);
            $coin_value = Setting::where('type', 'coin_value')->first(['type','value']);
            $referral_point = Setting::where('type', 'referral_point')->first(['type','value']);
            $is_referral = Setting::where('type', 'is_referral')->first(['type','value']);

            $order_user_point = Setting::where('type', 'user_order_bonus')->first(['type','value']);
            $order_refer_user_point = Setting::where('type', 'refer_user_order_bonus')->first(['type','value']);
            $order_bonus_limit = Setting::where('type', 'bonus_order_limit')->first(['type','value']);
            $is_order_bonus = Setting::where('type', 'is_order_bonus')->first(['type','value']);
            $tax_percentage = Setting::where('type', 'tax_percentage')->first(['type','value']);

            if(!$auth_fee) $auth_fee = [];
            if(!$ship_fee) $ship_fee = [];
            if(!$coin_value) $coin_value = [];
            if(!$referral_point) $referral_point = [];
            if(!$is_referral) $is_referral = [];

            if(!$order_user_point) $order_user_point = [];
            if(!$order_refer_user_point) $order_refer_user_point = [];
            if(!$order_bonus_limit) $order_bonus_limit = [];
            if(!$is_order_bonus) $is_order_bonus = [];
            if(!$tax_percentage) $tax_percentage = [];


            $data = [
                "auth_fee" => $auth_fee,
                "ship_fee" => $ship_fee,
                "coin_value" => $coin_value,
                "referral_point" => $referral_point,
                "is_referral" => $is_referral,
                "order_user_point" => $order_user_point,
                "order_refer_user_point" => $order_refer_user_point,
                "order_bonus_limit" => $order_bonus_limit,
                "is_order_bonus" => $is_order_bonus,
                "tax_percentage" => $tax_percentage,
            ];

            return Base::pass("All fees", $data); // DONE
        }
        catch(Exception $e){
            return Base::exception_fail($e);
        }
    }

    public function updateFees($request)
    {
        try{
            $fees = Setting::updateOrCreate(
                ['type' => $request['type']],
                ['value' => $request['value']]
            );

            return Base::pass("Data updated", $fees); // DONE
        }
        catch(Exception $e){
            return Base::exception_fail($e);
        }
    }
}