<?php

namespace App\Services\Repositories;

use App\Http\Controllers\Base;
use App\Models\TCandPrivacy;
use App\Services\Interface\TCandPrivacyInterface;
use Exception;

class TCandPrivacyRepository implements TCandPrivacyInterface
{
    public function getTC()
    {
        try{
            //Code will be here
            $tc_en = TCandPrivacy::where('type','tc_en')->first();
            $tc_jp = TCandPrivacy::where('type','tc_jp')->first();
            if($tc_en) $data['tc_en'] = $tc_en->description;
            if($tc_jp) $data['tc_jp'] = $tc_jp->description;
            else $data = null;
            return Base::pass("Terms and Condition fetch successfully", $data); // DONE
        }
        catch(Exception $e){
            return Base::exception_fail($e);
        }
    }

    public function getPrivacy()
    {
        try{
            $tc = TCandPrivacy::where('type', 'privacy')->first();
            if ($tc) $data = $tc->description;
            else $data = null;
            return Base::pass("Privacy Policy fetch successfully", $data); // DONE
        }
        catch(Exception $e){
            return Base::exception_fail($e);
        }
    }

    public function addTCPrivacy($request)
    {
        try{
            $tc = TCandPrivacy::updateOrCreate(
                ['type' => $request['type']],
                ['description' => $request['description']]
            );

            return Base::pass("Data updated", $tc); // DONE
        }
        catch(Exception $e){
            return Base::exception_fail($e);
        }
    }
}