<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('name')->nullable();
            $table->string('email')->nullable()->unique();
            $table->string('password')->nullable();
            
            $table->string('login_type')->default("normal");
            $table->string('login_id')->nullable();

            $table->string('image')->nullable();
            $table->string('image_url')->nullable();
            
            $table->string('lang_code')->default('en');

            $table->string('phone')->nullable();
            $table->string('address')->nullable();
            $table->string('role')->nullable();
            $table->boolean('is_push_notification')->default(false);
            $table->boolean('is_email_notification')->default(false);
            $table->boolean('is_verified')->default(false);
            $table->boolean('is_active')->default(true);
            $table->string('otp')->nullable();
            $table->dateTime('otp_created_at')->nullable();

            $table->string('refer_by')->nullable();
            $table->string('refer_code')->nullable();
            
            $table->rememberToken();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
};
