<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('orders', function (Blueprint $table) {
            //
            $table->longText('customer_note')->nullable()->after('status');
            $table->longText('admin_note')->nullable()->after('customer_note');

            $table->dateTime('customer_note_date')->nullable()->after('admin_note');
            $table->dateTime('admin_note_date')->nullable()->after('customer_note_date');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('orders', function (Blueprint $table) {
            //

            $table->dropColumn('customer_note');
            $table->dropColumn('admin_note');
            $table->dropColumn('customer_note_date');
            $table->dropColumn('admin_note_date');
        });
    }
};
