<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('orders', function (Blueprint $table) {
            //
            if (!Schema::hasColumn('orders', 'price_tax')) {
                $table->double('price_tax')->default(0)->after('price');
            }
            if (!Schema::hasColumn('orders', 'authority_fee_tax')) {
                $table->double('authority_fee_tax')->default(0)->after('authority_fee');
            }
            if (!Schema::hasColumn('orders', 'shipping_fee_tax')) {
                $table->double('shipping_fee_tax')->default(0)->after('shipping_fee');
            }
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('orders', function (Blueprint $table) {
            //
            if (Schema::hasColumn('orders', 'price_tax')) {
                $table->dropColumn('price_tax');
            }
            if (Schema::hasColumn('orders', 'authority_fee_tax')) {
                $table->dropColumn('authority_fee_tax');
            }
            if (Schema::hasColumn('orders', 'shipping_fee_tax')) {
                $table->dropColumn('shipping_fee_tax');
            }
        });
    }
};
